Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbpm.examples.checklist
Enum ChecklistItem.Status

    java.lang.Object
      java.lang.Enum<ChecklistItem.Status>
          org.jbpm.examples.checklist.ChecklistItem.Status

All Implemented Interfaces:
  Serializable, Comparable<ChecklistItem.Status>

Enclosing interface:
  ChecklistItem

    public static enum ChecklistItem.Status

extends Enum<ChecklistItem.Status>

Enum Constant Summary
`Aborted`
`Completed`
`Created`
`InProgress`
`Optional`
`Pending`
`Ready`
`Reserved`

Method Summary
`static ChecklistItem.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ChecklistItem.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Pending

    public static final ChecklistItem.Status Pending

### Optional

    public static final ChecklistItem.Status Optional

### Created

    public static final ChecklistItem.Status Created

### Ready

    public static final ChecklistItem.Status Ready

### Reserved

    public static final ChecklistItem.Status Reserved

### InProgress

    public static final ChecklistItem.Status InProgress

### Completed

    public static final ChecklistItem.Status Completed

### Aborted

    public static final ChecklistItem.Status Aborted

Method Detail

### values

    public static ChecklistItem.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ChecklistItem.Status c : ChecklistItem.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ChecklistItem.Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.